import request from '@/utils/request'


// 查询原因库列表
export function getListReason() {
  return request({
    url: '/backstage/reason/getListReason',
    method: 'get',
  })
}

// 查询原因库列表
export function listReason(query) {
  return request({
    url: '/backstage/reason/list',
    method: 'get',
    params: query
  })
}

// 查询原因库详细
export function getReason(id) {
  return request({
    url: '/backstage/reason/' + id,
    method: 'get'
  })
}

// 新增原因库
export function addReason(data) {
  return request({
    url: '/backstage/reason',
    method: 'post',
    data: data
  })
}

// 修改原因库
export function updateReason(data) {
  return request({
    url: '/backstage/reason',
    method: 'put',
    data: data
  })
}

// 删除原因库
export function delReason(id) {
  return request({
    url: '/backstage/reason/' + id,
    method: 'delete'
  })
}

// 导出原因库
export function exportReason(query) {
  return request({
    url: '/backstage/reason/export',
    method: 'get',
    params: query
  })
}
