import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listService(query) {
  return request({
    url: '/backstage/service/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getService(id) {
  return request({
    url: '/backstage/service/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addService(data) {
  return request({
    url: '/backstage/service',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateService(data) {
  return request({
    url: '/backstage/service',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delService(id) {
  return request({
    url: '/backstage/service/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportService(query) {
  return request({
    url: '/backstage/service/export',
    method: 'get',
    params: query
  })
}

// 状态修改
export function changeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/backstage/service/changeStatus',
    method: 'put',
    data: data
  })
}

export function changeRecommend(id, isRecommend,recommendSort) {
  const data = {
    id,
    isRecommend,
    recommendSort
  }
  return request({
    url: '/backstage/service/changeRecommend',
    method: 'put',
    data: data
  })
}

export function getServiceItemList(serviceId) {
  return request({
    url: '/backstage/service/getServiceItemList/' + serviceId,
    method: 'get'
  })
}