import request from '@/utils/request'

// 查询指标列表
export function listTarget(query) {
  return request({
    url: '/backstage/target/list',
    method: 'get',
    params: query
  })
}

// 查询指标详细
export function getTarget(id) {
  return request({
    url: '/backstage/target/' + id,
    method: 'get'
  })
}

// 新增指标
export function addTarget(data) {
  return request({
    url: '/backstage/target',
    method: 'post',
    data: data
  })
}

// 修改指标
export function updateTarget(data) {
  return request({
    url: '/backstage/target',
    method: 'put',
    data: data
  })
}

// 删除指标
export function delTarget(id) {
  return request({
    url: '/backstage/target/' + id,
    method: 'delete'
  })
}

// 导出指标
export function exportTarget(query) {
  return request({
    url: '/backstage/target/export',
    method: 'get',
    params: query
  })
}